org.restlet.engine.http.header

## Class ExpectationWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.StringWriter
    - - org.restlet.engine.http.header.HeaderWriter<Expectation>
      - - org.restlet.engine.http.header.ExpectationWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

    public class ExpectationWriter
    extends HeaderWriter<Expectation>

Expectation header writer.

Author:
  Jerome Louvel

### Field Summary

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
Constructor and Description
`ExpectationWriter()`

### Method Summary

Methods
`ExpectationWriter` `append(Expectation expectation)` Appends a value.
`static java.lang.String` `write(java.util.List<Expectation> expectations)` Writes a list of expectations with a comma separator.

### Methods inherited from class org.restlet.engine.http.header.HeaderWriter

`append, append, append, append, append, append, appendComment, appendExtension, appendExtension, appendParameterSeparator, appendProduct, appendQuotedPair, appendQuotedString, appendSpace, appendToken, appendUriEncoded, appendValueSeparator, canWrite`

### Methods inherited from class java.io.StringWriter

`append, close, flush, getBuffer, toString, write, write, write, write`

### Methods inherited from class java.io.Writer

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExpectationWriter

    public ExpectationWriter()

### Method Detail

#### write

    public static java.lang.String write(java.util.List<Expectation> expectations)

Writes a list of expectations with a comma separator.

Parameters:
  `expectations` - The list of expectations.
Returns:
  The formatted list of expectations.

#### append

    public ExpectationWriter append(Expectation expectation)

Description copied from class: `HeaderWriter`
Appends a value.

Specified by:
  `append` in class `HeaderWriter<Expectation>`
Parameters:
  `expectation` - The value.
Returns:
  This writer.